local addon = WakeSpams
local module = addon:NewModule("SpellList")
WakeSpams.Spells = module

do
	local _, class = UnitClass("player");
	if not class then print("Error: WakeSpams was unable to retrieve player englishclass.") end
	
	--[[
		SpellList args:
		Spell ID {
			disabled = boolean
			name = string (optional) custom spell name
			txt = string (optional) message on start
			txtend = string (optional) message on end8
			dur = int (optional) spell duration
			countdown = int (optional) fade countdown in chat, set to "0" to only announce fade, > 0 to announce countdown and fade, nil to not announce fade, default = nil
			whisper = boolean, default = nil
			aoe = boolean, default = nil
			output = string (optional) output channel
			event = string (optional) event name matched by regex
		}
	]]
	
	if(class == "PRIEST") then
		addon.SpellList = {
			[65081] = { -- Body and Soul (target effect triggered by body and soul)
				txt = "#s# on YOU - meep meep!",
				dur = 4,
				whisper = true,
			},
			[10890] = { -- Psychic Scream
				dur = 8,
				aoe = true,
			},
			[10060] = { -- Power Infusion (whisper)
				txt = "Activated: #s# on YOU - #d#s!",
				dur = 15,
				whisper = true,
				countdown = 0,
			},
			[64901] = { -- Hymn of Hope
				txt = "Activated: #s#!",
				event = "SPELL_CAST_SUCCESS",
			},
			[47788] = { -- Guardian Spirit
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 10,
				countdown = 2,
			},
			[48153] = { -- Guardian Spirit (heal)
				txt = "#s# healed #t# for #amount#",
				event = "SPELL_HEAL",
			},
			[33206] = { -- Pain Suppression
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 8,
				countdown = 0,
			},
			[64843] = { -- Divine Hymn
				txt = "Activated: #s#!",
				event = "SPELL_CAST_SUCCESS",
			},
		}
	end
	
	addon.SpellEvent = {
		["SPELL_DISPEL_FAILED"] = {
			txt = "#s# Dispel Failed: #t# #extra:SpellLink#",
		},
		["SPELL_INTERRUPT"] = {
			txt = "#s# Interrupted: #t# #extra:SpellLink#",
		},
	}
	
	-- Helps the combat log scanner spell search by listing them by event. But... I dont even need to xDDD
	--addon:SetupEventHelper()
end

